Bug 221393 - Kernel panic on exiting X environment.
Kernel panic on exiting X environment.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 07:46 EST by Maciej Borodzik
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-22 03:15:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the /etc/X11/xorg.conf file (864 bytes, application/octet-stream)
2007-01-11 10:02 EST, Maciej Borodzik
no flags Details
This is the log file /var/log/Xorg.0.log (293.34 KB, application/octet-stream)
2007-01-11 10:04 EST, Maciej Borodzik
no flags Details
This is the log file of the X server, which was run without file /etc/X11/xorg.conf (69.23 KB, application/octet-stream)
2007-01-11 10:25 EST, Maciej Borodzik
no flags Details

  None (edit)
Description Maciej Borodzik 2007-01-04 07:46:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; pl; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1

Description of problem:
When I exit X environment (no matter KDE or Gnome or just X configurator) the system hangs. Lots of informations are displayed on screen, yet nothing is reported in /var/log/messages. I do not know, how to save them on disk. The log messages seem to vary. There appears something like that:

Code 85 c0 7f 55 48 ff c2 48 39 ca 75 f0 85 c9 74 e8 e8 1f 26 08
console shuts up
/some lines with hex numbers and varying content, like <ffff???> system_call +0x7e/0x83

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. In graphic environment press CTRL+ALT+BACKSPACE, OR:
2. Try to halt or restart system with X running. OR:
3. Send a SIGTERM or SIGKILL signal to xinit process.

Actual Results:
The computer hung up. I could not connect to it via SSH.

Expected Results:


Additional info:
The computer is a new laptop Toshiba Satellite A105 S4234 with Core 2 Duo processor, Mobile Intel i945GM graphic card, 1.5 GB RAM. The bug was first observed on that computer when I installed Suse 10.2 with Xorg 7.2. Downgrading to Xorg 7.1 did not help. On Fedora Core 6 the bug continues. I have upgraded i810 driver to xorg-x11-drv-i810-1.6.5-10. It did not help. I have been trying various options in /etc/X11/xorg.conf without success. I am running a current kernel 2.6.18-1.2869.
Comment 1 Matěj Cepl 2007-01-11 09:35:47 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Maciej Borodzik 2007-01-11 10:02:56 EST
Created attachment 145349 [details]
This is the /etc/X11/xorg.conf file
Comment 3 Maciej Borodzik 2007-01-11 10:04:46 EST
Created attachment 145350 [details]
This is the log file /var/log/Xorg.0.log
Comment 4 Maciej Borodzik 2007-01-11 10:12:57 EST
I have also observed, that running the kernel build without smp allows make the 
system change its behaviour: one can exit X, but the system hangs when one 
tries to reboot or halt computer. Moreover, the hibernation (closing the lid) 
works perfectly OK.
 
Comment 5 Maciej Borodzik 2007-01-11 10:25:40 EST
Created attachment 145354 [details]
This is the log file of the X server, which was run without file /etc/X11/xorg.conf
Comment 7 Maciej Borodzik 2007-01-30 14:45:21 EST
As I have upgraded the kernel to 2.6.19-1.2895.fc6 (the standard rpm package 
available by yum), the problem has disappeared: I can now exit X without 
problems and without causing any unstability.

Maciej Borodzik

Note You need to log in before you can comment on or make changes to this bug.